Constants (The Data Transfer scheduler library 2.1.0-4.9.0-126143 API)
Date: 2017-12-19

org.gcube.datatransfer.scheduler.library.utils

## Class Constants

- java.lang.Object
- - org.gcube.datatransfer.scheduler.library.utils.Constants

-     public class Constants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `callTimeout`
    `static String` | `FACTORY_PORT_TYPE_NAME`
    `static String` | `MANAGEMENT_PORT_TYPE_NAME`
    `static String` | `NAMESPACE`
    `static String` | `SCHEDULER_PORT_TYPE_NAME`
    `static String` | `SERVICE_CLASS`
    `static String` | `SERVICE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      See Also:
        Constant Field Values

    - #### callTimeout

          public static final int callTimeout

      See Also:
        Constant Field Values

    - #### SERVICE_CLASS

          public static final String SERVICE_CLASS

      See Also:
        Constant Field Values

    - #### SERVICE_NAME

          public static final String SERVICE_NAME

      See Also:
        Constant Field Values

    - #### FACTORY_PORT_TYPE_NAME

          public static final String FACTORY_PORT_TYPE_NAME

      See Also:
        Constant Field Values

    - #### MANAGEMENT_PORT_TYPE_NAME

          public static final String MANAGEMENT_PORT_TYPE_NAME

      See Also:
        Constant Field Values

    - #### SCHEDULER_PORT_TYPE_NAME

          public static final String SCHEDULER_PORT_TYPE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2017. All Rights Reserved.